Subject: Re: bug#6535: 24.0.50; grep seems not to work

From: Jan Djärv <[email-masked]>
Date: Tue, 29 Jun 2010 11:43:03 +0200

Štěpán Němec skrev 2010-06-29 10.31:
> john ffitch<[email-masked]>  writes:
>
>> I an in dired mode and attempt to do M-x grep
>> It hangs; if I try again later it says i still have a grep process
>> reports
>> -*- mode: grep; default-directory: "~/Sourceforge/csound5/Engine/" -*-
>> Grep started at Mon Jun 28 17:58:43
>>
>> grep -nH -e cpuprc *.c
>> tset: unknown terminal type emacs-grep
 >
> You might try to set `debug-on-quit' and when Emacs hangs, press C-g and
> send the backtrace.
>
> Anyway, the problem looks very much like the issue discussed here:
>
> http://article.gmane.org/gmane.emacs.devel/126393

The hang may be caused by that problem, but the cause is the terminal type 
being set is not recognized.  Fixing the hang will probably not make grep work 
in this case.

>
> Unfortunately, the developers seem to be ignoring it.
>

I think the correct term is "not talking about the work being done in public" :-)

	Jan D.